#pragma once

#include "widget.hpp"
#include "icosphere.hpp"

#include <skein/particlemap.h>

class ParticleVisualizer
{
    public:
        ParticleVisualizer(const ParticleMap& map, const std::string& particleId, float radius, GLuint sphereShaderProgram, GLuint widgetShaderProgram);
        ~ParticleVisualizer() = default;

        void render(float time);

    private:
        void updateModelMatrix();

        const ParticleMap& _map;
        const std::string& _particleId;
        Icosphere _sphere;
        Widget _widget;
};
